# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.0.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.0.1...@billogram/foundation-form@1.0.2) (2020-02-14)

### Bug Fixes

* Add missing generic argument ([b18b612d](https://github.com/billogram/frontend-foundation/commit/b18b612d))
* Extract form function types ([8b62c536](https://github.com/billogram/frontend-foundation/commit/8b62c536))
* Return submit values for default submit function ([996fa06b](https://github.com/billogram/frontend-foundation/commit/996fa06b))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-form@1.0.1) (2020-01-20)

### Bug Fixes

* Move react-router to dev dependencies ([dd6a3db3](https://github.com/billogram/frontend-foundation/commit/dd6a3db3))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Add missing styles ([9f31da2f](https://github.com/billogram/frontend-foundation/commit/9f31da2f))


### Features

* Implement FoundationForm ([66ec786a](https://github.com/billogram/frontend-foundation/commit/66ec786a))
* Scaffold out @billogram/foundation-form ([4976be62](https://github.com/billogram/frontend-foundation/commit/4976be62))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-form@1.0.0) (2020-01-20)

### Bug Fixes

* Move react-router to dev dependencies ([dd6a3db3](https://github.com/billogram/frontend-foundation/commit/dd6a3db3))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Add missing styles ([9f31da2f](https://github.com/billogram/frontend-foundation/commit/9f31da2f))


### Features

* Implement FoundationForm ([66ec786a](https://github.com/billogram/frontend-foundation/commit/66ec786a))
* Scaffold out @billogram/foundation-form ([4976be62](https://github.com/billogram/frontend-foundation/commit/4976be62))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
